package feed

import (
	operationPb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/operation"
	"gitee.com/xuyiping_admin/pkg/apierr"
	"gitee.com/xuyiping_admin/pkg/ginutil"
	"gitee.com/xuyiping_admin/pkg/valid"
	"kpt-tmr-group/http/middleware"
	"net/http"

	"github.com/gin-gonic/gin"
)

// ForageDetailList 配方详情
func ForageDetailList(c *gin.Context) {
	var req operationPb.FeedFormulaDetailRequest
	if err := ginutil.BindProto(c, &req); err != nil {
		apierr.AbortBadRequest(c, http.StatusBadRequest, err)
		return
	}

	if err := valid.ValidateStruct(&req,
		valid.Field(&req.FeedFormulaId, valid.Required, valid.Min(1)),
	); err != nil {
		apierr.AbortBadRequest(c, http.StatusBadRequest, err)
		return
	}

	if list, err := middleware.BackendOperation(c).OpsService.FeedFormulaDetailList(c, &req); err != nil {
		apierr.ClassifiedAbort(c, err)
		return
	} else {
		ginutil.JSONResp(c, list)
	}
}
